Bug 204122 - [NEW PORT] sysutils/qtpass: GUI for sysutils/password-store
Summary: [NEW PORT] sysutils/qtpass: GUI for sysutils/password-store
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-29 13:35 UTC by Anne Jan Brouwer
Modified: 2016-05-29 16:49 UTC (History)
5 users (show)

See Also:


Attachments
qtpass.shar (1.60 KB, text/plain)
2015-10-29 13:35 UTC, Anne Jan Brouwer
no flags Details
Updated version (should work on ALL versions) (1.53 KB, text/plain)
2015-11-03 16:07 UTC, Anne Jan Brouwer
no flags Details
Corrected build deps (1.72 KB, text/plain)
2015-11-12 16:30 UTC, Anne Jan Brouwer
no flags Details
Updated to 1.0.5 (1.79 KB, text/plain)
2015-11-23 15:47 UTC, Anne Jan Brouwer
no flags Details
qtpass-1.1.0 (1.79 KB, text/plain)
2016-01-27 10:48 UTC, Anne Jan Brouwer
no flags Details
shar-1.1.1 (1.56 KB, text/plain)
2016-05-29 12:23 UTC, Kurt Jaeger
no flags Details
Install a desktop file and icon, reduce runtime dependencies. (1.39 KB, patch)
2016-05-29 16:15 UTC, Tobias Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anne Jan Brouwer 2015-10-29 13:35:37 UTC
Created attachment 162564 [details]
qtpass.shar

QtPass is a multi-platform GUI for pass, the standard unix password manager.

There are some minor fixes inbound in 1.0.4 to adres the missing #include <sys/time.h> 
But I've only seen that happen on one (test) system, please let me know about any issues with this port, thanks in advance.

WWW: https://qtpass.org/
Comment 1 Anne Jan Brouwer 2015-11-03 16:07:13 UTC
Created attachment 162733 [details]
Updated version (should work on ALL versions)
Comment 2 Anne Jan Brouwer 2015-11-12 16:30:27 UTC
Created attachment 163065 [details]
Corrected build deps

Tested on clean VM see: https://pad.ijhack.nl/p/qtpass-freebsd-test
Comment 3 Anne Jan Brouwer 2015-11-23 15:47:17 UTC
Created attachment 163459 [details]
Updated to 1.0.5

Added (new) linguisttools_build dependency
Comment 4 Anne Jan Brouwer 2016-01-27 10:48:13 UTC
Created attachment 166181 [details]
qtpass-1.1.0

Updated to 1.1.0
Comment 5 Marie Loise Nolden 2016-05-29 12:01:51 UTC
Kurt, can you assign that to kde@ ? I was close to filing a new PR with a port for that also, but found this one.
Comment 6 Kurt Jaeger freebsd_committer 2016-05-29 12:21:10 UTC
I'm trying to get this into shape. Can you tell me the proper use of USE_QT5 ?

It had:

USE_QT5=        buildtools_build core_build network_build gui_build widgets_buil
d linguisttools_build

but the build suggested to add

USE_QT5+=       widgets gui network core
and
USE_GL=         gl

If we have gui, do we need gui_build ?
Comment 7 Kurt Jaeger freebsd_committer 2016-05-29 12:23:40 UTC
Created attachment 170790 [details]
shar-1.1.1

Reworked version.
Comment 8 Tobias Berner 2016-05-29 12:35:41 UTC
(In reply to Kurt Jaeger from comment #7)

There is no need to have 'core_build' and 'core' and so on. Simply 'core' suffices.
Comment 9 Kurt Jaeger freebsd_committer 2016-05-29 14:26:29 UTC
Committed, thanks. And sorry for the delay!
Comment 10 commit-hook freebsd_committer 2016-05-29 14:27:02 UTC
A commit references this bug:

Author: pi
Date: Sun May 29 14:26:28 UTC 2016
New revision: 416108
URL: https://svnweb.freebsd.org/changeset/ports/416108

Log:
  New port: sysutils/qtpass

  GUI for pass, the standard UNIX password manager.

  WWW: https://qtpass.org/

  PR:		204122
  Submitted by:	Anne Jan Brouwer <brouwer@annejan.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/qtpass/
  head/sysutils/qtpass/Makefile
  head/sysutils/qtpass/distinfo
  head/sysutils/qtpass/pkg-descr
Comment 11 Tobias Berner 2016-05-29 16:15:22 UTC
Created attachment 170799 [details]
Install a desktop file and icon, reduce runtime dependencies.

The attached diff modifies the port to 

* also install the icon for qtpass,
* and additionally a qtpass-desktop file,
* it drops buildtools and linguisttools from the runtime dependencies.

* Further, instead of defining a do-install target, fix qtpass.pro to work with the ports system [that change is probably up for debate...].
Comment 12 commit-hook freebsd_committer 2016-05-29 16:49:16 UTC
A commit references this bug:

Author: pi
Date: Sun May 29 16:48:54 UTC 2016
New revision: 416116
URL: https://svnweb.freebsd.org/changeset/ports/416116

Log:
  sysutils/qtpass: improve port

  - install the icon for qtpass
  - install qtpass-desktop file
  - drop buildtools and linguisttools from the runtime dependencies
  - instead of defining a do-install target, fix qtpass.pro to work with
    the ports system [that change is probably up for debate...].

  PR:		204122
  Submitted by:	Tobias C.Berner <tcberner@gmail.com> (kde)

Changes:
  head/sysutils/qtpass/Makefile